Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.examples.vehiclerouting.domain
Class VrpCustomer

    java.lang.Object
      org.optaplanner.examples.common.domain.AbstractPersistable
          org.optaplanner.examples.vehiclerouting.domain.VrpCustomer

All Implemented Interfaces:
  Serializable, Comparable<AbstractPersistable>, VrpStandstill

Direct Known Subclasses:
  VrpTimeWindowedCustomer

    public class VrpCustomer

extends AbstractPersistable
implements VrpStandstill

See Also:
  Serialized Form

Field Summary
`protected int` | `demand`
`protected VrpLocation` | `location`
`protected VrpCustomer` | `nextCustomer`
`protected VrpStandstill` | `previousStandstill`
`protected VrpVehicle` | `vehicle`

Fields inherited from class org.optaplanner.examples.common.domain.AbstractPersistable
`id`

Constructor Summary
`VrpCustomer()`

Method Summary
`int` | `getDemand()`
`int` | `getDistanceTo(VrpStandstill standstill)`
`int` | `getDistanceToPreviousStandstill()`
`VrpLocation` | `getLocation()`
`VrpCustomer` | `getNextCustomer()`
`VrpStandstill` | `getPreviousStandstill()`
`VrpVehicle` | `getVehicle()`
`void` | `setDemand(int demand)`
`void` | `setLocation(VrpLocation location)`
`void` | `setNextCustomer(VrpCustomer nextCustomer)`
`void` | `setPreviousStandstill(VrpStandstill previousStandstill)`
`void` | `setVehicle(VrpVehicle vehicle)`
`boolean` | `solutionEquals(Object o)` The normal methods `Object.equals(Object)` and `Object.hashCode()` cannot be used because the rule engine already requires them (for performance in their original state).
`int` | `solutionHashCode()` The normal methods `Object.equals(Object)` and `Object.hashCode()` cannot be used because the rule engine already requires them (for performance in their original state).
`String` | `toString()`

Methods inherited from class org.optaplanner.examples.common.domain.AbstractPersistable
`compareTo, getId, setId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### location

    protected VrpLocation location

### demand

    protected int demand

### previousStandstill

    protected VrpStandstill previousStandstill

### nextCustomer

    protected VrpCustomer nextCustomer

### vehicle

    protected VrpVehicle vehicle

Constructor Detail

### VrpCustomer

    public VrpCustomer()

Method Detail

### getLocation

    public VrpLocation getLocation()

  Specified by:
    `getLocation` in interface `VrpStandstill`
  Returns:
    never null

### setLocation

    public void setLocation(VrpLocation location)

### getDemand

    public int getDemand()

### setDemand

    public void setDemand(int demand)

### getPreviousStandstill

    public VrpStandstill getPreviousStandstill()

### setPreviousStandstill

    public void setPreviousStandstill(VrpStandstill previousStandstill)

### getNextCustomer

    public VrpCustomer getNextCustomer()

  Specified by:
    `getNextCustomer` in interface `VrpStandstill`
  Returns:
    sometimes null

### setNextCustomer

    public void setNextCustomer(VrpCustomer nextCustomer)

  Specified by:
    `setNextCustomer` in interface `VrpStandstill`

### getVehicle

    public VrpVehicle getVehicle()

  Specified by:
    `getVehicle` in interface `VrpStandstill`
  Returns:
    sometimes null

### setVehicle

    public void setVehicle(VrpVehicle vehicle)

### getDistanceToPreviousStandstill

    public int getDistanceToPreviousStandstill()

### getDistanceTo

    public int getDistanceTo(VrpStandstill standstill)

### solutionEquals

    public boolean solutionEquals(Object o)

  The normal methods `Object.equals(Object)` and `Object.hashCode()` cannot be used because the rule engine already requires them (for performance in their original state).

  See Also:
    `solutionHashCode()`

### solutionHashCode

    public int solutionHashCode()

  The normal methods `Object.equals(Object)` and `Object.hashCode()` cannot be used because the rule engine already requires them (for performance in their original state).

  See Also:
    `solutionEquals(Object)`

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractPersistable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.